<mat-accordion>
  <mat-expansion-panel [expanded]="true" class="mb-1">
    <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
      <mat-panel-title><h6>Schedule</h6></mat-panel-title>
    </mat-expansion-panel-header>
    <div [formGroup]="form.controls.schedule">
      <div class="form-row" *ngIf="option.schedule.withConferenceBridge?.isShown && hasNetworkType">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6 text-danger">&nbsp;</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
              <dx-check-box formControlName="custLtrOptOut" class="bold"
                text="Customer Communication Opt-Out"
                >
              </dx-check-box>
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-12">
          &nbsp;
        </div>
      </div>
      <div class="form-row" *ngIf="option.schedule.withConferenceBridge?.isShown">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6 text-danger">Will a Conf Bridge be used for this event?:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <dx-select-box [items]="conferenceBridgeList" formControlName="withConferenceBridge"
                           displayExpr="description" valueExpr="value" placeholder="Please Select"
                           [searchEnabled]="true" [searchExpr]="['description']" searchMode="startswith"
                           (onValueChanged)="onWithConferenceBridgeChanged($event)"></dx-select-box>
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Bridge Number:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="bridgeNumber" />
          </div>
        </div>
      </div>

      <div class="form-row" *ngIf="option.schedule.withConferenceBridge?.isShown">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Bridge Pin:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="bridgePin" />
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Meeting URL:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input *ngIf="showMeetingAdrTextBox" type="text" class="form-control form-control-sm" formControlName="onlineMeetingAdr" />
            <dx-select-box  [items]="onlineMeetingAdrList" formControlName="onlineMeetingAdr" *ngIf="onlineMeetingAdrList.length > 0 && !showMeetingAdrTextBox"
              displayExpr="description" valueExpr="value"
              (onValueChanged)="setConfigValue($event)"
            >
           </dx-select-box>
            <a class="text-break pt-1" [href]="meetingUrl">{{ meetingUrl }}</a>
          </div>
        </div>
      </div>

      <div class="form-row">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Start Date:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1" style="user-select: all;">
            <dx-date-box type="datetime"
                         [acceptCustomValue]="false"
                         displayFormat="MM/dd/yyyy hh:mm aa"
                         width="100%"
                         style="user-select: all;"
                         [useMaskBehavior]="true"
                         formControlName="startDate"
                         (onValueChanged)="setEndDate()"
                         (onOpened)="onOpened($event)">
            </dx-date-box>
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">End Date:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1" style="user-select: all;">
            <dx-date-box type="datetime"
                         [acceptCustomValue]="false"
                         displayFormat="MM/dd/yyyy hh:mm aa"
                         width="100%"
                         style="user-select: all;"
                         [useMaskBehavior]="true"
                         formControlName="endDate">
            </dx-date-box>
          </div>
        </div>
      </div>

      <div class="form-row">
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Event Duration:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="eventDuration" (change)="setEndDate(false)" (keypress)="numberOnly($event)" />
          </div>
        </div>
        <div class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Extra Duration:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1" style="color: black;">
            <dx-select-box [items]="extraDurationList" formControlName="extraDuration"
                           displayExpr="description" valueExpr="value"
                           [searchEnabled]="true" [searchExpr]="['description']" searchMode="startswith"
                           (onValueChanged)="setEndDate(true)">
            </dx-select-box>
          </div>
        </div>
      </div>

      <div class="form-row">
        <div class="form-group form-group-sm row col-24">
          <label class="col-form-label col-3 pr-1 text-right">Assigned To:</label>
          <div class="col-20 pl-0 pl-lg-1">
            <div class="input-group">
              <input type="text" class="form-control form-control-sm" formControlName="displayedAssignedTo" />
              <app-user-finder *ngIf="isReviewer && !isNtwkIntl" id="assigned-to" [group]="form.controls.schedule" [option]="option.schedule.userFinder" (searchOccured)="checkDblBooking($event)"></app-user-finder>
            </div>
            <span *ngIf="dblBookingMessage" class="text-danger">{{ dblBookingMessage }}</span>
          </div>
        </div>
      </div>
      <!-- <div class="form-row" *ngIf="!isNtwkIntl">
        <div *ngIf="parent?.isReviewer || option.schedule.softAssign?.isShown" class="form-group form-group-sm row col-24">
          <label class="col-form-label col-3 pr-1 text-right">Soft Assign:</label>
          <div class="col-8 pl-0 pl-lg-1">
            <dx-check-box formControlName="softAssign"></dx-check-box>
          </div>
        </div>
      </div> -->
      <div class="form-row text-center" *ngIf="!isNtwkIntl">
        <!--userService.isCheckCurrentSlotShown-->
        <div *ngIf="option.schedule?.checkCurrentSlot?.isShown" class="form-group form-group-sm mb-0 offset-6 col-6">
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="checkCurrentSlot()">
            Check Current Slot
          </button>
        </div>
        <div *ngIf="userService.isSlotPickerShown" class="form-group form-group-sm mb-0 col-6">
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="launchPicker()">
            Launch Picker
          </button>
        </div>
      </div>
      <br />


      <input type="hidden" formControlName="assignedToId" />
      <input type="hidden" formControlName="assignedTo" />
    </div>
  </mat-expansion-panel>
</mat-accordion>


<div class="modal fade" id="schedule" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Choose an Activator</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="activator">
          <h5 class="mb-2">Schedule Qualified</h5>
          <div class="form-row">
            <div *ngIf="qualifiedList.schedule.length == 0" class="form-group form-group-sm col-24">
              <span class="text-danger">No SCHEDULE Qualified; No Resource</span>
            </div>
            <div formArrayName="schedule" *ngFor="let control of activator.get('schedule')?.controls; let i = index;" class="form-group form-group-sm col-24 col-sm-12 col-lg-8">
              <dx-check-box [formControlName]="i"
                            [text]="qualifiedList.schedule[i].fullNme">
              </dx-check-box>
            </div>
          </div>
          <h5 class="mb-2">Skill Qualified</h5>
          <div class="form-row">
            <div *ngIf="qualifiedList.skilled.length == 0" class="form-group form-group-sm col-24">
              <span class="text-danger">No SKILL Qualified; No Resource</span>
            </div>
            <div formArrayName="skilled" *ngFor="let control of activator.get('skilled')?.controls; let i = index;" class="form-group form-group-sm col-24 col-sm-12 col-lg-8">
              <dx-check-box [formControlName]="i"
                            [text]="qualifiedList.skilled[i].fullNme">
              </dx-check-box>
            </div>
          </div>
          <h5 class="mb-2">Product Qualified</h5>
          <div class="form-row">
            <div *ngIf="qualifiedList.product.length == 0" class="form-group form-group-sm col-24">
              <span class="text-danger">No PRODUCT Qualified; No Resource</span>
            </div>
            <div formArrayName="product" *ngFor="let control of activator.get('product')?.controls; let i = index;" class="form-group form-group-sm col-24 col-sm-12 col-lg-8">
              <dx-check-box [formControlName]="i"
                            [text]="qualifiedList.product[i].fullNme">
              </dx-check-box>
            </div>
          </div>
          <div class="form-row mt-2 text-center">
            <div class="form-group form-group-sm mb-0 col-12 col-md-8 col-lg-6 offset-md-4 offset-lg-6">
              <button type="button" class="btn btn-sm btn-secondary btn-block" data-dismiss="modal">
                Cancel
              </button>
            </div>
            <div class="form-group form-group-sm mb-0 col-12 col-md-8 col-lg-6">
              <button type="button" class="btn btn-sm btn-primary btn-block" data-dismiss="modal" (click)="setActivator()">
                Set as Activator
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="checkCurrentSlot" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Results for Check Current Slot</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <label>{{lblTimeZone}}</label>
        <table>
          <tr *ngFor="let slot of dtSlots">
            <td>
              <input type="radio" name="radiogroup"
                     [checked]="idx === 0"
                     [value]="slot.sloT_ID"
                     (change)="onValueChanged(slot)">
            </td>
            <td title="{{slot.sloT_USER}}">{{ slot.sloT_DESC }}</td>
          </tr>
        </table>
        <!--<form [formGroup]="slots">
          <label>{{lblTimeZone}}</label>
          <table>
            <tr *ngFor="let slot of dtSlots">
              <td>
                <input type="radio" name="radiogroup"
                       [checked]="idx === 0"
                       [value]="slot.sloT_ID"
                       (change)="onValueChanged(slot)">
              </td>
              <td>{{ slot.sloT_DESC }}</td>
            </tr>
          </table>
        </form>-->
      </div>
    </div>
  </div>
</div>
